%define tarname aspectr
%define tarvers 0-3-5
Summary: Simple aspect oriented programming module
Name: ruby-AspectR
Version: 0.3.5
Release: 1
License: LGPL
Group: Applications/Ruby
Source: http://prdownloads.sf.net/aspectr/%{tarname}-%{tarvers}.tar.gz
URL: http://aspectr.sourceforge.net/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby >= 1.6

%description
Simple aspect oriented programming module

%package RbProf
Summary: A faster profiler for Ruby programs
Version: 0.2.1
Group: Applications/Ruby
URL: http://aspectr.sourceforge.net/rbprof/
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby >= 1.6, ruby-AspectR

%description RbProf
A profiler for Ruby programs. It's faster than the standard profiler and gives
you information tailored to your needs.  

%prep
%setup -n %{tarname}-%{tarvers}

%install
rm -rf $RPM_BUILD_ROOT
cp -p install.rb install2.rb
ruby -i -pe "sub(/(CONFIG\[\"sitedir\"])/, '\"$RPM_BUILD_ROOT\" + \1')" \
	install.rb
ruby -i -pe "sub(/(CONFIG\[\"sitedir\"])/, '\"$RPM_BUILD_ROOT/RbProf\" + \1')" \
	install2.rb
mkdir -p $RPM_BUILD_ROOT$sitedir
ruby install.rb
find $RPM_BUILD_ROOT$sitedir -type f -print | \
	ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist
cd aspects/profiler
mkdir -p $RPM_BUILD_ROOT/RbProf$sitedir
ruby ../../install2.rb
find $RPM_BUILD_ROOT/RbProf$sitedir -type f -print | \
        ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'/RbProf), "")' > \
		%{name}-%{version}-RbProf-filelist
for i in `cat %{name}-%{version}-RbProf-filelist`; do
    mv $RPM_BUILD_ROOT/RbProf$i $RPM_BUILD_ROOT$i
done

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc CHANGELOG COPYING.TXT README TODO
%doc -P examples/ tests/

%files RbProf -f aspects/profiler/%{name}-%{version}-RbProf-filelist
%defattr(-,root,root)
%doc aspects/profiler/{LICENSE,README,TODO}

%changelog
* Tue May 14 2002 Ian Macdonald <ian@caliban.org>
- v0.3.5 of AspectR & v0.2.1 of RbProf
